# Trigger fund rollover Prepaid with Drawdown Rollover enables you to transfer the accumulative carryover of your customers’ prepaid balance funds to the following validity period when using Prepaid with Drawdown. This REST API reference describes how to manually trigger fund rollover from source validity period to destination validity period. There are no path or query parameters. Note: This API will not work if rollover is enabled in the associated prepayment charge. If you want to trigger rollover automatically, see Create prepayment charge with rollover for more information. Endpoint: POST /v1/ppdd/rollover Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `destinationValidityPeriod` (object, required) Date range of the destination validity period to which the funds are transferred. It should be close to the source validity period. - `destinationValidityPeriod.endDate` (string, required) End date of the destination validity period. - `destinationValidityPeriod.startDate` (string, required) Start date of the destination validity period. - `prepaymentUom` (string, required) Specifies the units of measure for prepayment charge. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. Values: a valid unit of measure Example: "Each" - `priority` (string, required) Specifies the priority of rolled over fund in case of drawdown. Values: ApplyLast / ApplyFirst Example: "ApplyFirst" - `sourceValidityPeriod` (object, required) Date range of the source validity period from which the funds are transferred. It should be close to the destination validity period. - `sourceValidityPeriod.endDate` (string, required) End date of the source validity period. - `sourceValidityPeriod.startDate` (string, required) Start date of the source validity period. - `subscriptionNumber` (string, required) The unique identifier number of the subscription. Example: "A-S00000009" ## Response 200 fields (application/json): - `message` (string) Indicates the result. - `rolloverFundCount` (integer) Indicates the number of funds which have been rolled over. - `success` (boolean) Indicates whether the call succeeded. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.